---
title: Scholar
slug: scaleserp/search-api/searches/google/scholar
docTags: 
createdAt: 2024-08-03T18:00:34.679Z
---

# Google Scholar Parameters

<font color="#52c41a">`GET`</font>  `/search?search_type=scholar`

The Google Scholar Parameters are applicable when making a request with  `search_type=scholar`  to retrieve scholar results for a given search term. The search term is specified in the  `q`  parameter and the optional  `location`  parameter can be used to geo-locate the scholar request (locations can be retrieved via the [Locations API](https://docs.trajectdata.com/scaleserp/locations-api/overview)).

![](https://apiimages.imgix.net/scaleserp/images/png/docs/google_scholar.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Google Scholar Results")

For example, to request scholar results for the keyword  `rubifen`  in the location  `United States` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.scaleserp.com/search?api_key=demo&search_type=scholar&q=rubifen&location=United+States
```

```curl
curl -L --get https://api.scaleserp.com/search \
-d api_key="demo" \
-d q="rubifen" \
-d search_type="scholar" \
-d location="United+States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  q: "rubifen",
  search_type: "scholar",
  location: "United+States"
}

// make the http GET request
axios.get('https://api.scaleserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'q': 'rubifen',
  'search_type': 'scholar',
  'location': 'United+States'
}

# make the http GET request
api_result = requests.get('https://api.scaleserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'q' => 'rubifen',
  'search_type' => 'scholar',
  'location' => 'United+States'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.scaleserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Scholar Parameters

The following parameters are available for all requests made when  `search_type=scholar` .

| *`Parameter`*                 | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------------------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`search_type`*               | <u>*`required`*</u> | Should be set to `search_type=scholar` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`q`*                         | <u>*`required`*</u> | The keyword you want to use to perform the Scholar search.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| *`location`*                  | *`optional`*        | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the Scale SERP [built-in locations ](https://docs.trajectdata.com/scaleserp/locations-api/overview)then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the `location_auto` parameter).                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`location_auto`*             | *`optional`*        | If the `location` field is set to a Scale SERP [built-in location ](https://docs.trajectdata.com/scaleserp/locations-api/overview)from the [Locations API ](https://docs.trajectdata.com/scaleserp/locations-api/overview), and `location_auto` is set to `true` (default) then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are `true` (default) to enable this behaviour or `false` to disable.                                                                                                                                                                                                                                                                                                                                                                |
| *`uule`*                      | *`optional`*        | The Google UULE parameter - use to pass through a custom `uule` parameter to Google. Scale SERP automatically generates the `uule` when you use the `location` parameter but we allow you to overwrite it directly by specifying a `uule` directly.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| *`google_domain`*             | *`optional`*        | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`gl`*                        | *`optional`*        | The `gl` parameter determines the Google country to use for the query. View the full list of supported `gl` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-countries). Defaults to `us` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`hl`*                        | *`optional`*        | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-languages). Defaults to `en` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| *`lr`*                        | *`optional`*        | The `lr` parameter limits the results to websites containing the specified language. View the full list of supported `lr` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-lr-languages).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| *`cr`*                        | *`optional`*        | The `cr` parameter instructs Google to limit the results to websites in the specified country. View the full list of supported `cr` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-cr-countries).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| *`page`*                      | *`optional`*        | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| *`max_page`*                  | *`optional`*        | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/scaleserp/search-api/pagination)docs for more information.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| *`sort_by`*                   | *`optional`*        | Determines how results are sorted, valid values are `relevance` or `date` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| *`scholar_include_citations`* | *`optional`*        | Determines whether to include citations or not when the `search_type` parameter is set to `scholar` . Valid values are `true` or `false` . Defaults to `true` . Drives the following option:                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`scholar_year_min`*          | *`optional`*        | Determines the year from which results should be included when `search_type=scholar` . For example, if you set `scholar_year_min=2018` the results before 2018 will be omitted. This parameter can be combined with the `scholar_year_max` parameter.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| *`scholar_year_max`*          | *`optional`*        | Determines the year from which results should be included when `search_type=scholar` . For example, if you set `scholar_year_max=2019` the results after 2019 will be omitted. This parameter can be combined with the `scholar_year_min` parameter.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| *`scholar_patents_courts`*    | *`optional`*        | The `scholar_patents_courts` parameter can be used either as both a way of limiting the Scholar search or as a filter (this is due to how Google implements this parameter itself).  <br />**As a Filter** the valid values are: <br />`0` (default) - include patents <br />`1` - exclude patents  <br />**As a way of limiting a Scholar search** the valid values are:<br />`4` - case law (US courts only). This will select all the State and Federal courts.  <br />To select specific courts, see the [full list of supported Google Scholar courts ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-scholar-courts).  <br />For example, `scholar_patents_courts=4,33,192` `4` is the required value and should always be in the first position, `33` selects all New York courts and `192` selects Tax Court. Values must be separated by a comma. |
| *`scisbd`*                    | *`optional`*        | The Scholar `scisbd` parameter can be set to `1` or `2` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |

***

**Next Steps**
     [Google Scholar Results](https://docs.trajectdata.com/scaleserp/search-api/results/google/scholar)
